LLVM::Function - Crystal 1.20.3

# struct LLVM::Function

- LLVM::Function
- Struct
- Value
- Object

##
Included Modules

- LLVM::ValueMethods

##
Defined in:

llvm/function.cr

##
Class Method Summary

- .from_value(value : LLVM::ValueMethods)

##
Instance Method Summary

- #add_attribute(attribute : Attribute, index = AttributeIndex::FunctionIndex, type : Type | Nil = nil)
- #add_attribute(attribute : String, index = AttributeIndex::FunctionIndex, *, value : String)
- #add_attribute(attribute : Attribute, index = AttributeIndex::FunctionIndex, *, value)
- #add_target_dependent_attribute(name, value)
- #attributes(index = AttributeIndex::FunctionIndex)
- #basic_blocks
- #call_convention
- #call_convention=(cc)
- #delete
- #function_type

  DEPRECATED

- #naked?
- #params
- #personality_function=(fn)
- #return_type

  DEPRECATED

- #varargs?

  DEPRECATED

### Instance methods inherited from module `LLVM::ValueMethods`

add_instruction_attribute(index : Int, attribute : LLVM::Attribute, context : LLVM::Context, type : LLVM::Type | Nil = nil) add_instruction_attribute, alignment=(bytes) alignment=, call_convention call_convention, call_convention=(call_convention) call_convention=, const_int_get_sext_value const_int_get_sext_value, const_int_get_zext_value const_int_get_zext_value, constant? constant?, dll_storage_class=(storage_class) dll_storage_class=, dump dump, global_constant=(global_constant) global_constant=, global_constant? global_constant?, initializer initializer, initializer=(initializer) initializer=, inspect(io : IO) : Nil inspect, kind kind, linkage linkage, linkage=(linkage) linkage=, name name, name=(name) name=, ordering=(ordering) ordering=, thread_local=(thread_local) thread_local=, thread_local? thread_local?, to_unsafe to_unsafe, to_value to_value, type type, volatile=(volatile) volatile=

### Constructor methods inherited from module `LLVM::ValueMethods`

new(unwrap : LibLLVM::ValueRef) new

### Instance methods inherited from struct `Struct`

==(other : YAML::Any)
==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Class methods inherited from struct `Struct`

pre_initialize(address : Pointer) : Nil pre_initialize

### Instance methods inherited from struct `Value`

==(other : Log::Metadata::Value)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io : String | IO, root : String)
from_json(string_or_io : String | IO) from_json, from_yaml(string_or_io : String | IO) from_yaml

### Macros inherited from class `Object`

class_getter(*names, &block) class_getter, class_getter!(*names) class_getter!, class_getter?(*names, &block) class_getter?, class_property(*names, &block) class_property, class_property!(*names) class_property!, class_property?(*names, &block) class_property?, class_setter(*names) class_setter, def_clone def_clone, def_equals(*fields) def_equals, def_equals_and_hash(*fields) def_equals_and_hash, def_hash(*fields) def_hash, delegate(*methods, to object) delegate, forward_missing_to(delegate) forward_missing_to, getter(*names, &block) getter, getter!(*names) getter!, getter?(*names, &block) getter?, property(*names, &block) property, property!(*names) property!, property?(*names, &block) property?, setter(*names) setter

##
Class Method Detail

def self.from_value(value : LLVM::ValueMethods) #

##
Instance Method Detail

def add_attribute(attribute : Attribute, index = AttributeIndex::FunctionIndex, type : Type | Nil = nil) #
def add_attribute(attribute : String, index = AttributeIndex::FunctionIndex, *, value : String) #
def add_attribute(attribute : Attribute, index = AttributeIndex::FunctionIndex, *, value) #
def add_target_dependent_attribute(name, value) #
def attributes(index = AttributeIndex::FunctionIndex) #
def basic_blocks #
def call_convention #
def call_convention=(cc) #
def delete #
def function_type #

DEPRECATED

def naked? #
def params #
def personality_function=(fn) #
def return_type #

DEPRECATED

def varargs? #

DEPRECATED